# mysql
mysql.driver=com.mysql.jdbc.Driver
mysql.url=jdbc:mysql://172.16.1.7:3306/bigdata?useUnicode=true&characterEncoding=UTF-8&serverTimezone=UTC&zeroDateTimeBehavior=convertToNull&useInformationSchema=true&useSSL=false&allowMultiQueries=true
mysql.ip=172.16.1.7
mysql.username=dev
mysql.password=uml-tech

nj.mysql.driver=com.mysql.jdbc.Driver
nj.mysql.url=jdbc:mysql://172.16.1.59:3306/farm?useUnicode=true&characterEncoding=UTF-8&serverTimezone=UTC&zeroDateTimeBehavior=convertToNull&useInformationSchema=true&useSSL=false
nj.mysql.username=dev
nj.mysql.password=uml-tech

# jzny
jzny.mysql.driver=com.mysql.jdbc.Driver
jzny.mysql.url=jdbc:mysql://172.16.1.27:3306/precAgri?useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2b8&zeroDateTimeBehavior=convertToNull&useInformationSchema=true&useSSL=false
jzny.mysql.username=precag
jzny.mysql.password=uTt8E0%Q

mysql.day.table.prefix=farm_day_
mysql.month.table.prefix=farm_month_
mysql.error.table.prefix=farm_errorStatus_
mysql.week.table.prefix=farm_week_
mysql.year.table.prefix=farm_year_
mysql.stat.table.name=farm_statistics
mysql.year.table.regex=farm_year_2___

# hdfs
hdfs.can.fileDir=/spark/farm_can
hdfs.day.fileDir=/spark/farm_status/day
hdfs.error.fileDir=/spark/farm_errorStatus/day
hdfs.week.fileDir=/spark/farm_status/week
hdfs.month.fileDir=/spark/farm_status/month
hdfs.year.fileDir=/spark/farm_status/year
hdfs.stat.fileDir=/spark/farm_status/statistics

# hdfs \u672C\u5730\u6D4B\u8BD5\u914D\u7F6E
#hdfs.can.fileDir=hdfs://cdh2:8020/spark/farm_can
#hdfs.day.fileDir=E:/hdfs/spark/farm/day
#hdfs.error.fileDir=E:/hdfs/spark/farm/error
#hdfs.week.fileDir=E:/hdfs/spark/farm_week
#hdfs.month.fileDir=E:/hdfs/spark/farm_month
#hdfs.year.fileDir=E:/hdfs/spark/farm_year
#hdfs.stat.fileDir=E:/hdfs/spark/farm_statistics



# Redis cluster config
spring.redis.cluster.nodes=\
  172.16.1.29:7001\
  ,172.16.1.10:7002\
  ,172.16.1.26:7003\
  ,172.16.1.25:7004\
  ,172.16.1.11:7005\
  ,172.16.1.19:7006
# redis key
redis.farm.realtime.prefix=farm:realtime:*

# Hbase config
zookeeper=kafka005:2181,kafka015:2181,kafka016:2181
zookeeper.znode.parent=/hbase

#url
config.url=http://172.16.1.245:8000/config.xml
alarm.code.url = http://172.16.1.245:8000/alarm_code.xml
conversion.url = http://172.16.1.245:9094/DiscInfo/getDisc?pointX={lon}&pointY={lat}

# Mail config
mail.host=smtp.exmail.qq.com
mail.port=465
mail.username=azkaban@uml-tech.com
mail.password=2wsx!QAZ
mail.charset=utf-8
mail.smtp.auth=true
mail.smtp.ssl.enable=true
mail.mime.splitlongparameters=false
mail.env=prod
mail.ip=223.223.187.55
mail.mailbox=weijinglun@uml-tech.com,sunyu@uml-tech.com,pansinan@uml-tech.com,zhichunli@uml-tech.com